Goal conversions
GET https://hootmaps.com/api/goals-conversions/
curl --request GET \
--url 'https://hootmaps.com/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| goal_id | Facultatif Entier | |
| website_id | Facultatif Entier | |
| order_by | Facultatif Chaîne | Quel champ utiliser pour trier les résultats. Les valeurs autorisées sont : conversion_id, datetime |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant |
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. La valeur par défaut est 1 |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. La valeur par défaut est 25 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"visitor_id": 1,
"session_id": 1,
"event_id": 1,
"datetime": "2026-03-12 09:34:05"
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://hootmaps.com/api/goals-conversions?page=1",
"last": "https://hootmaps.com/api/goals-conversions?page=1",
"next": null,
"prev": null,
"self": "https://hootmaps.com/api/goals-conversions?page=1"
}
}
GET https://hootmaps.com/api/goals-conversions/{conversion_id}
curl --request GET \
--url 'https://hootmaps.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"visitor_id": 1,
"session_id": 1,
"event_id": 1,
"datetime": "2026-03-12 09:34:05"
}
}
POST https://hootmaps.com/api/goals-conversions
| Paramètres | Détails | Description |
|---|---|---|
| goal_id | Requis Entier | - |
| visitor_id | Facultatif Entier | Available when: tracking_mode = normal |
| session_id | Facultatif Entier | Available when: tracking_mode = normal |
| event_id | Facultatif Entier | Available when: tracking_mode = normal |
curl --request POST \
--url 'https://hootmaps.com/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
--url 'https://hootmaps.com/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
{
"data": {
"id": 1
}
}
POST https://hootmaps.com/api/goals-conversions/{conversion_id}
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Facultatif Entier | - |
| type | Facultatif Chaîne | Valeurs autorisées : pageview , custom |
| name | Facultatif Chaîne | - |
| path | Facultatif Chaîne | Available when: type = pageview |
| key | Facultatif Chaîne | - |
curl --request POST \
--url 'https://hootmaps.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://hootmaps.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://hootmaps.com/api/goals-conversions/{conversion_id}
curl --request DELETE \
--url 'https://hootmaps.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hootmaps.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \